
Redmine - Feature #13344

XMPP URI support

2013-03-03 12:40 - Neustradamus -

Status: New Start date:  

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

There is a problem with XMPP URI:

- xmpp:example@conference.example.net

- xmpp:example@conference.example.net?join

- xmpp:example@example.net?message

...

You can see on http://beem-project.com/ => beem@conference.elyzion.net

Source: RFCs and http://xmpp.org/

Related issues:

Has duplicate Redmine - Defect #13659:  XMPP URI support Closed

History

#1 - 2013-03-03 13:43 - Jan Niggemann (redmine.org team member)

- Status changed from New to Closed

- Priority changed from Urgent to Low

This is the production tracker for Redmine, a project management software. AFAIK, we don't use XMPP anywhere, grep -Ri on the sources doesn't

return anything (why should it).

Are you sure you're posting in the right place?

#2 - 2013-03-05 22:10 - Jan Niggemann (redmine.org team member)

- Resolution set to Invalid

#3 - 2013-03-23 11:49 - Neustradamus -

- Status changed from Closed to Reopened

There is a bug, xmpp links are mailto links.

#4 - 2013-03-23 12:01 - Neustradamus -

About URI: https://en.wikipedia.org/wiki/Uniform_resource_identifier

About XMPP URI, RFCs:

https://tools.ietf.org/html/rfc4622 (Obsoleted by: 5122)

https://tools.ietf.org/html/rfc5122 (Last version)

There is a big problem, only mailto: works, you can see examples in this ticket.

#5 - 2013-04-01 22:31 - Etienne Massip

- Tracker changed from Defect to Feature

- Category set to Text formatting

- Status changed from Reopened to New

- Resolution deleted (Invalid)
